<?php
require'fun.php';
$pinfo=$conn->query('SELECT`text`,`de`,`data`,`la`,`raportat`,`citit`FROM`mesaje`WHERE`id`="'.$pid.'"')->fetch_row();
require'f_conectare.php';
conectare('mesaj de la '.nume($pinfo[1],1),'mesaje');
$titlu='Mesaj de la '.nume($pinfo[1],1);
$back[1]='<a href="/mesaje">'.img('mesaje.png',1).'Mesaje</a>';
require'f_sus.php';
if($de==$pinfo[3]&&$pinfo[5]==0)
$conn->query('UPDATE`mesaje`SET`citit`="'.$_SERVER['REQUEST_TIME'].'"WHERE`id`="'.$pid.'"');
require'f_profil.php';
if($pinfo[3]==$de||$pinfo[1]==$de)
{
echo$div[4].img('mesaje.png',1).'Mesaj '.($de==$pinfo[3]?'de la: '.profil($pinfo[1]):'la: '.profil($pinfo[3])).$div[5];
require'f_data.php';
require'f_ramas.php';
echo$div[1].'<img src="'.$domenii_statice[1].'npm.gif" alt="" /><small>Primit: '.data($pinfo[2]).'</small> - acum: '.ramas($_SERVER['REQUEST_TIME']-$pinfo[2]);
if($pinfo[5]>0)
echo'<br /><img src="'.$domenii_statice[1].'opm.gif" alt="" /><small>Citit: '.data($pinfo[5]).'</small>';
if($pinfo[4]==0&&!in_array($pinfo[1],$id_proprietari)&&!in_array($pinfo[3],$id_proprietari))
{
require'f_spam.php';
if(spam($pinfo[0]))
$conn->query('UPDATE`mesaje`SET`raportat`="'.$id_robot.'"WHERE`id`="'.$pid.'"');
}
require'f_filtru.php';
echo$div[0].$div[13].filtru($pinfo[0]).$div[0];
if($conn->query('SELECT COUNT(*)FROM`ignorati`WHERE`la`="'.$de.'"&&`de`="'.$pinfo[1].'"')->fetch_row()[0]>0)
echo$div[7].'Nu poți raspunde la acest mesaj, deoarece '.nume($pinfo[1]).' te are în lista cu persoane ignorate!'.$div[0];
elseif($de==$pinfo[1])
echo$div[7].'Nu poți să-ți trimiti mesaj, deoarece noi promovam dialogul, nu monologul!'.$div[0];
else
{
$form[0]='/trimite-i-mesaj/la/'.$pinfo[1].'-'.seo(nume($pinfo[1],1)).'" method="post';
$form[1]=0;
require'f_textarea.php';
require'f_scris1.php';
$form[2]=$div[1].'Raspunde:<br />'.textarea('pmtext').scris1().$div[0];
$form[3]='pmtext::font::culoare';
$form[4]='Trimite';
require'f_form.php';
}
$form[0]='/mesaje/tip/unu" method="post';
$form[1]=0;
require_once'f_scris3.php';
$form[2]=$div[1].'Actioneaza:<br />'.scris3('pmact','del-'.$pid.',,Șterge-l::'.($conn->query('SELECT`marcat`FROM`mesaje`WHERE`id`="'.$pid.'"')->fetch_row()[0]==1?'ust-'.$pid.',,Demarcheaza-l':'str-'.$pid.',,Marcheaza-l').'::rpt-'.$pid.',,Raporteaza-l administratorilor::frdpm-'.$pid.',,Redirectioneaza-l către o adresa de E-mail::dnl-'.$pid.',,Descarca-l','del-'.$pid).$div[0];
$form[3]='pmact';
$form[4]='Actioneaza';
require'f_form.php';
echo$div[1].'<a href="/dialog-mesaje/la/'.$pinfo[1].'-'.seo(nume($pinfo[1],1)).'">Dialog mesaje (intre tine și '.nume($pinfo[1]).')</a>'.$div[0];
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Acest mesaj nu îți apartine!'.$div[0];
require'f_mesaje_noi.php';
require'f_jos.php';